Subject: [Tsvwg] addIP, error cause indication

From: [email-masked]
Date: Tue, 21 May 2002 13:31:25 +0300

Hi all!

	I have some questions about the Error Cause Indication parameter, and the new error causes of the addip draft...

	First question: is there any possibility that a single request generates more than one error cause? I don't think so... :-/ (only the "delete last address" and "delete source address" could go together, but this is explicitly avoided...)

	So, why being able to include more than one error cause inside the Error Cause Indication (this makes things harder)?

	In any case, what seems to be obvious is that one Error Cause Indication parameter affects a single request (we have the Correlation ID there)... Thus, why including the "TLV-Copied-From-ASCONF" field? What is the use of the Correlation ID then? Isn't it meant precisely to identify the request? Why do we include the TLV then?

	Moreover, if we don't include the TLV, we will never produce an ASCONF which is bigger than the sent ASCONF ACK (not sure where, but I remember that this problem is/was commented somewhere in the draft).

	Stating it clearly:

	- Most probably we just need one Error Cause, so IMHO being able to include more than one unnecessary complicates the whole thing... :-0

	- Either if we need just one or more Error Causes, the use of the Correlation ID, and the inclusion of the TLV is redundant... :-/

	I would suggest:

	a) Include only a single error cause in the Error Cause Indication.

	b) Not including the TLV inside the error causes defined in the extension.

	I was including the last changes in my implementation when I realized about this. I would appreciate very much the comments of the authors...

	Thanks!

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg